package util;

import java.io.*;
import java.util.*;

/**
*   Class for reading aura properties.
*   This properties are sufficient to be read once per VM initialization,
*   as everything is static.
*   Used by connector classes.
*
*   @see edu.cmu.aura.prism.connector.PrismToEMConnector
*   @see edu.cmu.aura.prism.connector.PrismToSupplierConnector
*   @see edu.cmu.aura.em.connector.EMToPrismConnector
*   @see edu.cmu.aura.em.connector.EMToSupplierConnector
*/

public class AuraProperties
{

/**
*   Properties
*/
	protected static java.util.Properties	theProperties = null;

/**
*   Load properties from file
*   @param strFileName file name from which to load, if null then use "aura.config"
*/
	public static synchronized void loadAuraProperties(String strFileName)
						throws java.io.IOException
	{
		if ( strFileName == null )
			strFileName = "aura.config";
		FileInputStream fConfig = new FileInputStream(strFileName);
		Properties temp =  new Properties();
		temp.load(fConfig);
		theProperties = temp;
	}

/**
*   Return the properties static member.
*   @return theProperties
*/
	public static Properties getProperties()
	{
		return theProperties;
	}
}